﻿Copyright (c) (2013) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Scope Connection /9500+1Hd,3Hd,5Hd
DATE:                  2013-11-27 13:58:04
AUTHOR:                Fluke
REVISION:              $Revision: 6409 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       75
=============================================================================
#
#  Procedure Author:
#        DAC, GMO
#
#  Models Covered:
#        All 2 and 4 channel oscilloscopes with input connections labelled
#        "CH 1", "CH 2", "CH 3", and "CH 4".
#
#  Compatibility:
#        MET/CAL version 8.1.4 or later
#
#  Global Variables:
#        @CalDev = <System Instrument Name>
#          Example: "Fluke 9500B"
#
#        @CalMultiChan = <boolean>
#          1   9500 with 2, 3, 4, or 5 Channel Option
#          0   9500 without 2, 3, 4, or 5 Channel Option
#
#        @NumChan = <number of UUT input channels>
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           @CalMultiChan

  1.002  IF           @Chan == 1

  1.003  IF           @NumChan == 2
  1.004  DISP         Connect [V @CalDev] to the UUT as follows:
  1.004  DISP
  1.004  DISP         [32] ACTIVE HEAD CHAN 1 to UUT CH 1
  1.004  DISP         [32] ACTIVE HEAD CHAN 2 to UUT CH 2
  1.004  DISP         [32] ACTIVE HEAD on CH 3 to UUT EXT TRIG
  1.005  ELSE
  1.006  DISP         Connect [V @CalDev] to the UUT as follows:
  1.006  DISP
  1.006  DISP         [32] ACTIVE HEAD on CH 1 to UUT CH 1
  1.006  DISP         [32] ACTIVE HEAD on CH 2 to UUT CH 2
  1.006  DISP         [32] ACTIVE HEAD on CH 3 to UUT CH 3
  1.006  DISP         [32] ACTIVE HEAD on CH 4 to UUT CH 4
  1.006  DISP         [32] ACTIVE HEAD on CH 5 to UUT EXT TRIG
  1.007  ENDIF

  1.008  ENDIF        ; @Chan == 1

  1.009  ELSE         ; 9500 without 3 or 5 Channel Option

  1.010  DISP         Connect [V @CalDev] ACTIVE HEAD CH 1 to UUT CH [V @Chan]
  1.010  DISP
  1.011  ENDIF        ; @CalMultiChan

  1.012  END
