﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tektronix TPS 2000: (1 year) VER RS-232 /9500+1Hd
DATE:                  2014-03-13 14:07:31
AUTHOR:                Fluke
REVISION:              $Revision: 7612 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       232
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        VY, GMO
#
# Models covered:
#       TPS 2012, TPS 2014, TPS 2024, TPS 2012B, TPS 2014B, TPS 2024B
#
# Source(s):
#       TPS2000B Series Digital Storage Oscilloscopes
#       Service Manual, PN 077-0447-01
#
# Compatibility:
#       MET/CAL 8.1.4 or later
#
# Additional Equipment Required:
#       Power Splitter, 1 kHz to 500 MHz, 6 dB insertion loss,
#       output tracking: <0.25 dB, equivalent output
#       SWR: <1.22, HP/Agilent 11667A or equivalent
#       N(f) all ports
#       N(m) to BNC(f) adapter, 3 sets
#       50 Ω feed through terminator, 2 sets
#       50 Ω BNC(m)-(m) cable, 10 inch long, 2 sets
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  9500         200MH                        1Vpp           LS    S
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            F        V

  1.005  IF           NOT(VERSIONCHECK("8.1.4"))
  1.006  END
  1.007  ENDIF

  1.008  CALL         Sub Display Copyright
  1.009  CALL         Sub High Voltage Safety Warning

  1.010  HEAD         PRELIMINARY INSTRUCTIONS
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.013  HEAD         TEST CONDITIONS
  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         10 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  HEAD         REMOTE SETUP
  1.016  TARGET
  1.017  CALL         Sub UUT RS-232 Connection DTE DB9 (m)
  1.018  CALL         Sub Tek TPS2000 Setup RS-232
  1.019  PORT         *RST

  1.020  HEAD         UUT IDENTIFICATION
  1.021  CALL         Sub IEEE-488.2 Identification Query RS-232 using OTERM
  1.022  MATH         @UUT_Manufacturer = "Tektronix"
  1.023  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.024  IF           @Abort
  1.025  END
  1.026  ENDIF

  1.027  HEAD         EQUIPMENT REQUIREMENTS
  1.028  DISP         The following additional equipment and/or
  1.028  DISP         accessories are required:
  1.028  DISP
  1.028  DISP         - Power Splitter, 1 kHz to 500 MHz, 6 dB insertion loss,
  1.028  DISP         [32] output tracking: <0.25 dB, equivalent output
  1.028  DISP         [32] SWR: <1.22, HP/Agilent 11667A or equivalent
  1.028  DISP         [32] N(f) all ports
  1.028  DISP         - N(m) to BNC(f) adapter, 3 sets
  1.028  DISP         - 50 Ω feed through terminator, 2 sets
  1.028  DISP         - 50 Ω BNC(m)-(m) cable, 10 inch long, 2 sets

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results. For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.029  CALL         Sub Tek TPS2000 Self-Test RS-232
  1.030  JMPL         END                         @Abort

  1.031  CALL         Sub Tek TPS2000 Sig Path Comp Cal RS-232
  1.032  JMPL         END                         @Abort

  1.033  MATH         @CalMultiChan = 0

# Specify channel to test.
  1.034  MATH         @Chan = 1
  1.035  CALL         Sub Tek TPS2000 (1 yr) DCV Gain RS-232 /9500
  1.036  JMPL         DCV_MEAS_CH1
  1.037  LABEL        DCV_GAIN_CH2
  1.038  MATH         @Chan = 2
  1.039  CALL         Sub Tek TPS2000 (1 yr) DCV Gain RS-232 /9500
  1.040  JMPL         DCV_MEAS_CH2
  1.041  LABEL        DCV_GAIN_CH3
  1.042  MATH         @Chan = 3
  1.043  CALL         Sub Tek TPS2000 (1 yr) DCV Gain RS-232 /9500
  1.044  JMPL         DCV_MEAS_CH3
  1.045  LABEL        DCV_GAIN_CH4
  1.046  MATH         @Chan = 4
  1.047  CALL         Sub Tek TPS2000 (1 yr) DCV Gain RS-232 /9500
  1.048  JMPL         DCV_MEAS_CH4

  1.049  LABEL        DCV_MEAS_CH1

  1.050  IF           FINDI(@UUT_Model,"B",1)
  1.051  MATH         @Chan = 1
  1.052  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /9500
  1.053  ENDIF

  1.054  JMPL         BANDWIDTH_CH1

  1.055  LABEL        DCV_MEAS_CH2
  1.056  IF           FINDI(@UUT_Model,"B",1)
  1.057  MATH         @Chan = 2
  1.058  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /9500
  1.059  ENDIF

  1.060  JMPL         BANDWIDTH_CH2

  1.061  LABEL        DCV_MEAS_CH3
  1.062  IF           FINDI(@UUT_Model,"B",1)
  1.063  MATH         @Chan = 3
  1.064  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /9500
  1.065  ENDIF

  1.066  JMPL         BANDWIDTH_CH3

  1.067  LABEL        DCV_MEAS_CH4
  1.068  IF           FINDI(@UUT_Model,"B",1)
  1.069  MATH         @Chan = 4
  1.070  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /9500
  1.071  ENDIF

  1.072  JMPL         BANDWIDTH_CH4

  1.073  LABEL        BANDWIDTH_CH1
  1.074  MATH         @Chan = 1
  1.075  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /9500
  1.076  JMPL         TRIG_CH1

  1.077  LABEL        BANDWIDTH_CH2
  1.078  MATH         @Chan = 2
  1.079  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /9500
  1.080  JMPL         TRIG_CH2

  1.081  LABEL        BANDWIDTH_CH3
  1.082  MATH         @Chan = 3
  1.083  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /9500
  1.084  JMPL         TRIG_CH3

  1.085  LABEL        BANDWIDTH_CH4
  1.086  MATH         @Chan = 4
  1.087  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /9500
  1.088  JMPL         TRIG_CH4

  1.089  LABEL        TRIG_CH1
  1.090  MATH         @Chan = 1
  1.091  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /9500
  1.092  JMPL         SAMPLE_RATE_DELAY_TIME

  1.093  LABEL        TRIG_CH2
  1.094  MATH         @Chan = 2
  1.095  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /9500
  1.096  JMPL         EXT_TRIG               @NumChan == 2
  1.097  JMPL         DCV_GAIN_CH3

  1.098  LABEL        TRIG_CH3
  1.099  MATH         @Chan = 3
  1.100  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /9500
  1.101  JMPL         DCV_GAIN_CH4

  1.102  LABEL        TRIG_CH4
  1.103  MATH         @Chan = 4
  1.104  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /9500

  1.105  LABEL        EXT_TRIG
  1.106  MATH         @Chan = 1
  1.107  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+1Hd

  1.108  MATH         @Chan = 2
  1.109  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+1Hd
  1.110  JMPL         END               @NumChan == 2

  1.111  MATH         @Chan = 3
  1.112  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+1Hd

  1.113  MATH         @Chan = 4
  1.114  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+1Hd
  1.115  JMPL         END

  1.116  LABEL        SAMPLE_RATE_DELAY_TIME
  1.117  MATH         @Chan = 1
  1.118  CALL         Sub Tek TPS2000 (1 yr) Sample Rate RS-232 /9500
  1.119  JMPL         DCV_GAIN_CH2

  1.120  LABEL        END
  1.121  HEAD

  1.122  IF           @Abort
  1.123  DISP         V E R I F I C A T I O N   A B O R T E D
  1.124  ENDIF

  1.125  END
